com.io7m.r2.filters

## Interface R2ShaderSSAOParametersType

- All Known Implementing Classes:
    R2ShaderSSAOParameters

      public interface R2ShaderSSAOParametersType

  Parameters for the SSAO shader.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default float` | `exponent()` The exponent that will be used to modify the generated SSAO term.
    `R2GeometryBufferUsableType` | `geometryBuffer()`
    `R2SSAOKernelType` | `kernel()` The kernel that will be used for sampling.
    `R2Texture2DUsableType` | `noiseTexture()` The noise texture that will be used to rotate the sampling hemisphere randomly at each pixel.
    `default float` | `sampleRadius()` The eye-space radius around the sampling point that will be searched for occluding surfaces.
    `R2MatricesObserverValuesType` | `viewMatrices()`
    `com.io7m.jareas.core.AreaInclusiveUnsignedLType` | `viewport()` The viewport of the ambient occlusion buffer to which occlusion terms are written.

- - ### Method Detail

    - #### exponent

          default float exponent()

      The exponent that will be used to modify the generated SSAO term. Higher exponents create occlusion with higher contrast.
      Returns:
        The SSAO exponent

    - #### sampleRadius

          default float sampleRadius()

      The eye-space radius around the sampling point that will be searched for occluding surfaces. Larger radii will produce softer, more gradual ambient occlusion.
      Returns:
        The SSAO exponent

    - #### kernel

          R2SSAOKernelType kernel()

      The kernel that will be used for sampling. Larger kernels produce more accurate occlusion terms but increase the cost of processing.
      Returns:
        The sampling kernel

    - #### noiseTexture

          R2Texture2DUsableType noiseTexture()

      The noise texture that will be used to rotate the sampling hemisphere randomly at each pixel.
      Returns:
        The noise texture

    - #### viewport

          com.io7m.jareas.core.AreaInclusiveUnsignedLType viewport()

      The viewport of the ambient occlusion buffer to which occlusion terms are written.
      Returns:
        The framebuffer viewport

    - #### viewMatrices

          R2MatricesObserverValuesType viewMatrices()

      Returns:
        The matrices for the current view

    - #### geometryBuffer

          R2GeometryBufferUsableType geometryBuffer()

      Returns:
        The geometry buffer that will be sampled

Copyright © 2016 <code@io7m.com> http://io7m.com